.SUBCKT 6E5P_P 1 4 2 3
+ PARAMS: MU= 44 EX= 1.40 KG1=212 KP=200 ; KG2= 4500 kg2 isn't used, kg1 models overall gm
+ KVB= 20 VCT= 0.00 RGI=1000 ; kvb models plate resistance
+ CCG=15P CPG1=0.6P CCP=2.5P
RE1 7 0 1MEG
E1 7 0 VALUE= ; E1 BREAKS UP LONG EQUATION FOR G1.
+{V(4,3)/KP*LOG(1+EXP((1/MU+V(2,3)/V(4,3))*KP))}
G1 1 3 VALUE={limit((PWR(V(7),EX)+PWRS(V(7),EX))/KG1*1.57*ATAN(2*V(1,3)/(KVB*3.14159)),0,v(1,3)/840)} ; added limit-better models lower plate voltage limit condition
*G2 4 3 VALUE={(EXP(EX*(LOG((V(4,3)/MU)+V(2,3)))))/KG2} * this equation sucks
G2 4 3 value= {(I(G1)*32/(V(1,3) + 6))} ; this models change in current with change in plate first var changes ig2, second pushes right/left
RCP 1 3 1G ; FOR CONVERGENCE
C1 2 3 {CCG} ; CATHODE-GRID 1
C2 1 2 {CPG1} ; GRID 1-PLATE
C3 1 3 {CCP} ; CATHODE-PLATE
R1 2 5 {RGI} ; FOR GRID CURRENT
D3 5 3 DX ; FOR GRID CURRENT
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N)
.ENDS 6E5P_P

****************************************************
    .SUBCKT 6e5p 1 2 3 4 ; A G2 G1 C;
    * Extract V1.032
    * Model created: 26-Jan-2014
    * Trace and model by Ale Moglia valves@bartola.co.uk using uTracer v3 and ExtractTool
    X1 1 2 3 4 BTetrodeDE MU= 31.86 EX=1.879 kG1= 99.6 KP= 461.2 kVB = .0 kG2= 627.2
    +Sc=.11E-01 ap= .018 w= -11. nu= 11.90 lam= 3.57
    + Ookg1mOokG2=.845E-02 Aokg1=.61E-05 alkg1palskg2=.845E-02 be= .043 als= 4.78 RGI=2000
    + CCG1=15.0P CCG2 = 0.0p CPG1 = 0.065p CG1G2 = 0.0p CCP=2.55P ;
    .ENDS

    ****************************************************
    .SUBCKT BTetrodeDE 1 2 3 4; A G2 G1 C
    RE1 7 0 1MEG ; DUMMY SO NODE 7 HAS 2 CONNECTIONS
    E1 7 0 VALUE=  {V(2,4)/KP*LOG(1+EXP(KP*(1/MU+V(3,4)/SQRT(KVB+V(2,4)*V(2,4)))))}
    E2 8 0 VALUE = {Ookg1mOokG2 + Aokg1*V(1,4) - alkg1palskg2*Exp(-be*V(1,4)*SQRT(be*V(1,4)))}
    E3 9 0 VALUE = {Sc/kG2*V(1,4)*(1+tanh(-ap*(V(1,4)-V(2,4)/lam+w+nu*V(3,4))))}
    G1 1 4 VALUE = {0.5*(PWR(V(7),EX)+PWRS(V(7),EX))*(V(8)-V(9))}
    G2 2 4 VALUE = {0.5*(PWR(V(7),EX)+PWRS(V(7),EX))/KG2 *(1+als*Exp(-be*V(1,4) * SQRT(be*V(1,4))))}
    RCP 1 4 1G ; FOR CONVERGENCE A - C
    C1 3 4 {CCG1} ; CATHODE-GRID 1 C - G1
    C4 2 4 {CCG2} ; CATHODE-GRID 2 C - G2
    C5 2 3 {CG1G2} ; GRID 1 -GRID 2 G1 - G2
    C2 1 3 {CPG1} ; GRID 1-PLATE G1 - A
    C3 1 4 {CCP} ; CATHODE-PLATE A - C
    R1 3 5 {RGI} ; FOR GRID CURRENT G1 - 5
    D3 5 4 DX ; FOR GRID CURRENT 5 - C
    .MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N)
    .ENDS BTetrodeDE

**** TRIODE_6E5P ****************************************
* Created on Mon Jun 29 19:58:11 PDT 2009 using
* tube.model.finder.PaintKIT
* Data Source: http://www.hagtech.com/blog/images/6e5p.jpg
*------------------------------------------------------------------------------
.SUBCKT 6E5P_T 1 2 3 ; Plate Grid Cathode
+ PARAMS: CCG=15P CGP=0.6P CCP=2.5P RGI=2000
+ MU=32.06 KG1=139.37 KP=289.79
+ KVB=0.35 VCT=-0.39 EX=1.455
* Vp_MAX=300.0 Ip_MAX=0.1
* Vg_step=1.0 Vg_start=0.0 Vg_count=10.0
*----------------------------------------------------------------------------------
E1 7 0 VALUE={V(1,3)/KP*LOG(1+EXP(KP*(1/MU+(VCT+V(2,3))/SQRT
+ (KVB+V(1,3)*V(1,3)))))}
RE1 7 0 1G ; TO AVOID FLOATING NODES
G1 1 3 VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))/KG1}
RCP 1 3 1G ; TO AVOID FLOATING NODES
C1 2 3 {CCG} ; CATHODE-GRID
C2 2 1 {CGP} ; GRID=PLATE
C3 1 3 {CCP} ; CATHODE-PLATE
D3 5 3 DX ; POSITIVE GRID CURRENT
R1 2 5 {RGI} ; POSITIVE GRID CURRENT
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N)
.ENDS 6E5P_T

* 6e5p LTSpice model
.subckt 6e5p_TT P G K
Bp P K I=(0.007168081053m)*uramp(V(P,K)*ln(1.0+(0.1076589301)+exp((7.684274052)+(7.684274052)*((31.0913184)+(-62.35812906m)*V(G,K))*V(G,K)/sqrt((-2.483421354e-007)**2+(V(P,K)-(-0.01141953342))**2)))/(7.684274052))**(1.995853911)
.ends 6e5p_TT

